org.appng.core.controller.messaging

## Class JedisSender

- java.lang.Object
- - org.appng.core.controller.messaging.JedisBase
  - - org.appng.core.controller.messaging.JedisSender

- All Implemented Interfaces:
    Sender

      public class JedisSender
      extends JedisBase
      implements Sender

  Message sender implementing `Sender` to use a redis database with its build-in publish/subscribe function as message broker. See `JedisReceiver` for configuration details.
  Author:
    Claus Stuemke, aiticon GmbH, 2015
  See Also:
    `JedisReceiver`

- - ### Field Summary

    - ### Fields inherited from class org.appng.core.controller.messaging.JedisBase

      `channel, eventSerializer, host, password, port, REDIS_MESSAGING_CHANNEL, REDIS_MESSAGING_HOST, REDIS_MESSAGING_PASSWORD, REDIS_MESSAGING_PORT, REDIS_MESSAGING_TIMEOUT, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JedisSender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sender` | `configure(Serializer eventDeserializer)` Configures this sender with the given `Serializer`
    `boolean` | `send(Event event)` Sends the given `Event`

    - ### Methods inherited from class org.appng.core.controller.messaging.JedisBase

      `getJedis, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JedisSender

          public JedisSender()

  - ### Method Detail

    - #### configure

          public Sender configure(Serializer eventDeserializer)

      Description copied from interface: `Sender`
      Configures this sender with the given `Serializer`
      Specified by:
        `configure` in interface `Sender`
      Parameters:
        `eventDeserializer` - the `Serializer` to use
      Returns:
        the sender

    - #### send

          public boolean send(Event event)

      Description copied from interface: `Sender`
      Sends the given `Event`
      Specified by:
        `send` in interface `Sender`
      Parameters:
        `event` - the `Event` so send
      Returns:
        whether or not sending the event was successful

Copyright © 2011–2023 aiticon GmbH. All rights reserved.